﻿
.ContentBody {
    margin: 10px;
}

.espaco {
    margin-left: 4px;
}
.espacoDiaSemana {
    margin-left: 10px;
}

.espacoDiaSemanaSegunda {
    margin-left: 45px;
}
.bg-gradient-elo {
    background-color: #003b87;
    background-image: linear-gradient(180deg, #003b87 10%, #224abe 100%);
    background-size: cover;
}

a.navbar-brand {
    white-space: normal;
    text-align: center;
    word-break: break-all;
}

.tdAcao {
    min-width: 150px
}

a {
    color: #0366d6;
}

input.error {
    border: 1px dashed red;
    font-weight: 300;
    color: red;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.nav-pills .nav-link.active, .nav-pills .show > .nav-link {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
    font-size: 14px;
}

@media (min-width: 768px) {
    html {
        font-size: 16px;
    }
}

.border-top {
    border-top: 1px solid #e5e5e5;
}

.border-bottom {
    border-bottom: 1px solid #e5e5e5;
}

.box-shadow {
    box-shadow: 0 .25rem .75rem rgba(0, 0, 0, .05);
}

button.accept-policy {
    font-size: 1rem;
    line-height: inherit;
}

/* Sticky footer styles
-------------------------------------------------- */
.divErro {
    border: 1px solid red;
}

.bg-Feriado {
    background-color: #F4A460;
    color: black !important;
    border: 1px solid black;
}
.bg-BancoHoras {
    background-color: #8B008B;
    color: black !important;
    border: 1px solid black;
}
.bg-DescansoRemunerado {
    background-color: #A0522D;
    color: black !important;
    border: 1px solid black;
}
.bg-Treinamento {
    background-color: #D2691E;
    color: black !important;
    border: 1px solid black;
}

.DivLoader {
    width: 400px;
    height: 400px;
    margin: 50%;
}
.ConsultordadosZebraPar {
    background-color: #003b87;
    color: white
}

.ConsultordadosZebraImpar {
    background-color: #6c757d;
    color: white;
}

.bg-CentroDeCustoAusente {
    background-color: #DCDCDC;
    color: black;
    border: 1px solid black;
}
.bg-EloPadrao {
    background-color: #DCDCDC;
    color: black;
    border: 1px solid black;
}




.bg-Ferias {
    background-color: #005eff;
    color: black;
    border: 1px solid black;
}
.bg-ConsultorAlocacao {
    background-color: green;
    color: white;
    border: 1px solid black;
}
.bg-ConsultorSemAlocacaoVermelho {
    background-color: red;
    color: white;
    border: 1px solid black;
}
.bg-ConsultorSemAlocacaoCinza {
    background-color: #a0a0a0;
    color: white;
    border: 1px solid black;
}
.bg-ConsultorSemAlocacaoBranco {
    background-color: white;
    color: black;
    border: 1px solid black;
}
.bg-ConsultorSemAlocacaoFinalDeSemana {
    background-color: #E0FFFF;
    color: black;
    border: 1px solid black;
}

.bg-ConsultorComConflito {
    /*color: red;*/
    text-decoration: underline red;
}
.bg-AlocacaoReserva {
    background-color: yellow;
    color: black;
    border: 1px solid black;
}

.bg-ELO {
    background-color: #003b87;
    color: white
}

/*#tbListaConsultoresConflito th:nth-child(1) {
    background-color: #dc3545;
    color: white;
    border: 1px solid black;
}*/

#tbListaConsultoresConflito th:nth-child(3),
#tbListaConsultoresConflito td:nth-child(3) {
    width: 12%;
    min-width: 12%;
}





.tabelaListaSchedule {
    width: 100%;
    max-height: 400px
}

.ConsultorHoristaSemAlocacao {
    background-color: lightgrey;
    color: black
}

.schedule-table table {
    position: relative;
    width: 100%;
    table-layout: fixed;
    overflow: hidden;
    margin-top: 5px;
}

.schedule-table thead {
    position: relative;
    display: block;
    overflow: visible;
    width: 100%;
}


.schedule-table tbody tr:first-child {
    border-top: 1px solid black;
}

.schedule-table tbody tr:last-child {
    border-bottom: 1px solid black;
}

.schedule-table tbody {
    position: relative;
    display: block;
    height: 550px;
    overflow: scroll;
    width: 100%;
    margin-top: 0;
}

    .schedule-table tbody td {
        min-width: 250px;
        padding: 10px 15px !important;
        font-size: 0.9em;
        vertical-align: middle !important;
    }



.schedule-table th:nth-child(1),
.schedule-table td:nth-child(1) {
    margin-top: 0;
    position: relative;
    left: 0;
    width: 250px;
    min-width: 250px;
}

.schedule-table th:nth-child(2),
.schedule-table td:nth-child(2) {
    position: relative;
    width: 250px;
    min-width: 250px;

}




.schedule-table th:nth-child(3),
.schedule-table td:nth-child(3) {
    position: relative;
    width: 80px;
    min-width: 80px;

}

.schedule-table th:nth-child(4),
.schedule-table td:nth-child(4) {
    position: relative;
    width: 70px;
    min-width: 70px;

}

.tdSchedulepadrao {
    color: black;
    min-width: 250px;
    padding: 10px 15px !important;
    font-size: 1em;
    font-weight: 400;
    left: 0;
    text-align: center;
}

.tdScheduleConsultor {
    color: white
}



.thSchedulepadrao {
    background-color: #de52ff;
    min-width: 250px;
    padding: 10px 15px !important;
    color: #ffffff;
    font-size: 1em;
    border: 1px solid black;
    font-weight: 400;
    left: 0;
}

.thScheduleConsultor {
    background-color: #de52ff;
    min-width: 250px;
    padding: 10px 15px !important;
    color: #ffffff;
    font-size: 1em;
    font-weight: 400;
    left: 0;
}

.thScheduleEspecialidade {
    background-color: #de52ff;
    min-width: 250px;
    padding: 10px 15px !important;
    color: #ffffff;
    font-size: 1em;
    border: none !important;
    font-weight: 400;
    left: 0;
}

.thSchedulePeriodo {
    background-color: #de52ff;
    padding: 10px 15px !important;
    color: #ffffff;
    font-size: 1em;
    border: none !important;
    font-weight: 400;
    position: relative;
    left: 0;
    width: 70px;
    min-width: 70px;
    background: #003b87;
}

.thScheduleDiaSemana {
    padding: 10px 15px !important;
    color: #5f5f5f;
    font-size: 0.9em;
    border: none !important;
    vertical-align: middle !important;
    position: relative;
    left: 0;
    width: 70px;
    min-width: 70px;
    background: #003b87;
}



body {
    /* Margin bottom by footer height */
    margin-bottom: 60px;
    margin: 5px
}

.footer {
    position: absolute;
    bottom: 0;
    margin-top: 200px;
    width: 87%;
    white-space: nowrap;
    line-height: 60px; /* Vertically center the text there */
    background-color: darkgrey
}

.img-logo-login {
    max-width: 60%;
    height: auto;
}

.sidebar .nav-item .nav-link .img-profile,
.topbar .nav-item .nav-link .img-profile {
    height: 2rem;
    width: 2rem;
}

.img-logo-sidebar {
    max-width: 50px;
    height: auto;
}

.field-validation-error {
    color: #b10000;
    font-size: smaller;
}

.field-validation-valid {
    display: none;
}

.input-validation-error {
    border: 2px ridge #ff0000;
}

.validation-summary-errors {
    font-weight: bold;
    color: #ff0000;
}

.validation-summary-valid {
    display: none;
}

#table-scroll {
    overflow: scroll;
    overflow: auto;
}



@media (min-width:768px) {
    body {
        padding-top: 0
    }
}

@media (min-width:768px) {
    body {
        margin-left: 232px
    }
}

.navbar.fixed-left {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    z-index: 1000;
    background-color: #003b87;
}

@media (min-width:768px) {
    .navbar.fixed-left {
        bottom: 0;
        width: 232px;
        flex-flow: column nowrap;
        align-items: flex-start
    }

        .navbar.fixed-left .navbar-collapse {
            flex-grow: 0;
            flex-direction: column;
            width: 100%
        }

            .navbar.fixed-left .navbar-collapse .navbar-nav {
                flex-direction: column;
                width: 100%
            }

                .navbar.fixed-left .navbar-collapse .navbar-nav .nav-item {
                    width: 100%
                }

                    .navbar.fixed-left .navbar-collapse .navbar-nav .nav-item .dropdown-menu {
                        top: 0
                    }
}

@media (min-width:768px) {
    .navbar.fixed-left {
        right: auto
    }

        .navbar.fixed-left .navbar-nav .nav-item .dropdown-toggle:after {
            border-top: .3em solid transparent;
            border-left: .3em solid;
            border-bottom: .3em solid transparent;
            border-right: none;
            vertical-align: baseline
        }

        .navbar.fixed-left .navbar-nav .nav-item .dropdown-menu {
            left: 100%
        }
}

#DivConsultor {
    border: 0.5px solid black !important;
    background-color: #F8F8F8;
    padding: 0 1.4em 1.4em 1.4em !important;
    margin: 0 0 1.5em 0 !important;
}


.toast-top-right {
    top: 100px !important;
    right: 17px !important;
}

.btnExportaRelatorioPlanejado {
    margin-left: 20px;
    border: solid 1px black;
    background-color: #1b6ec2;
    color: white;
    width:200px;
    min-width:200px;
}

#tbListaRelatorioPlanejado th {
    background-color: #1b6ec2;
    color: white;
}

#tbListaRelatorioPlanejado tbody {
    font-size: 12.5px;
}